taffybar-0.4.5: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widgets.PollingGraph

Contents

- Types
- Constructors and accessors

Description

A variant of the Graph widget that automatically updates itself with a callback at a fixed interval.

Synopsis

- data GraphHandle
- data GraphConfig = GraphConfig {
  - graphPadding :: Int
  - graphBackgroundColor :: (Double, Double, Double)
  - graphBorderColor :: (Double, Double, Double)
  - graphBorderWidth :: Int
  - graphDataColors :: [(Double, Double, Double, Double)]
  - graphDataStyles :: [GraphStyle]
  - graphHistorySize :: Int
  - graphLabel :: Maybe String
  - graphWidth :: Int
  - graphDirection :: GraphDirection
  }
- data GraphDirection
  - = LEFT_TO_RIGHT
  - | RIGHT_TO_LEFT
- data GraphStyle
  - = Area
  - | Line
- pollingGraphNew :: GraphConfig -> Double -> IO [Double] -> IO Widget
- defaultGraphConfig :: GraphConfig

# Types

data GraphHandle Source

data GraphConfig Source

The configuration options for the graph. The padding is the number of pixels reserved as blank space around the widget in each direction.

Constructors

GraphConfig |

Fields

graphPadding :: Int

  Number of pixels of padding on each side of the graph widget

graphBackgroundColor :: (Double, Double, Double)

  The background color of the graph (default black)

graphBorderColor :: (Double, Double, Double)

  The border color drawn around the graph (default gray)

graphBorderWidth :: Int

  The width of the border (default 1, use 0 to disable the border)

graphDataColors :: [(Double, Double, Double, Double)]

  Colors for each data set (default cycles between red, green and blue)

graphDataStyles :: [GraphStyle]

  How to draw each data point (default `repeat Area`)

graphHistorySize :: Int

  The number of data points to retain for each data set (default 20)

graphLabel :: Maybe String

  May contain Pango markup (default `Nothing`)

graphWidth :: Int

  The width (in pixels) of the graph widget (default 50)

graphDirection :: GraphDirection

data GraphDirection Source

Constructors

LEFT_TO_RIGHT |
RIGHT_TO_LEFT |

Instances

Eq GraphDirection Source |

data GraphStyle Source

The style of the graph. Generally, you will want to draw all `Area` graphs first, and then all `Line` graphs.

Constructors

Area | Thea area below the value is filled
Line | The values are connected by a line (one pixel wide)

# Constructors and accessors

pollingGraphNew :: GraphConfig -> Double -> IO [Double] -> IO Widget Source

defaultGraphConfig :: GraphConfig Source